textures/lights/light_m25b_2k
{
	qer_editorimage textures/lights/light_m25b.tga
	q3map_lightimage textures/lights/light_msb1.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_m25b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_m25b.tga
		blendFunc GL_ONE GL_ONE
	}
}


//////////////////////////////////////////////////////////////////////////
// Command map shaders for mml_helmsdeep

levelshots/mml_helmsdeep_fp_cc_automap
{
    nopicmip
    nocompress
    nomipmaps
    {
        clampmap levelshots/mml_helmsdeep_fp_cc.tga
        depthFunc equal
        rgbGen identity
    }
}
  
levelshots/mml_helmsdeep_fp_cc_trans
{
    nopicmip
    nocompress
    nomipmaps
    {
        clampmap levelshots/mml_helmsdeep_fp_cc.tga
        blendfunc blend
        rgbGen identity
        alphaGen vertex
    }
} 

//////////////////////////////////
// Skyboxes
textures/mml_helmsdeep/skybox
{
	qer_editorimage textures/shaderlab_skies/potrero_sunset_1.tga
	
	q3map_sunExt 255 250 220 50 30 22 3 16
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 50 5
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

    skyparms textures/mml_helmsdeep/black 480 -
   	
    {
        map textures/mml_helmsdeep/clouds_2.tga
        tcMod scale 3 3
        tcMod scroll 0.01 0.0175
        rgbGen identityLighting
    }
    {
        clampMap textures/mml_helmsdeep/toxic.tga
        blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_COLOR
        tcMod transform 0.75 0 0 0.75 -0.678 -0.678
        tcMod stretch sin 1 0.1 0 .04
        rgbGen identityLighting
    }
}

//////////////////////////////////
textures/mml_helmsdeep/darkwall
{
	// Q3map2 properties
	q3map_nonplanar
	q3map_shadeAngle 30

	implicitMap -
}

textures/mml_helmsdeep/ceiling
{
	// Q3map2 properties
	q3map_nonplanar
	q3map_shadeAngle 30

	implicitMap -
}

textures/mml_helmsdeep/mml_helmsdeep_ground
{
	// Q3map2 properties
	q3map_nonplanar
	q3map_shadeAngle 30

	implicitMap -
}

textures/mml_helmsdeep/fort_wall
{
	qer_editorimage textures/mml_helmsdeep/stonewall.tga

	// Q3map2 properties
	q3map_nonplanar
	q3map_shadeAngle 30

	implicitMap textures/mml_helmsdeep/stonewall.tga
}

textures/mml_helmsdeep/fort_wall_2
{
	qer_editorimage textures/mml_helmsdeep/stonewalltrim.tga

	// Q3map2 properties
	q3map_nonplanar
	q3map_shadeAngle 30

	implicitMap textures/mml_helmsdeep/stonewalltrim.tga
}

textures/mml_helmsdeep/barrel_side
{
	qer_editorimage textures/props/barrel_m01.tga

	// Q3map2 properties
	q3map_nonplanar
	q3map_shadeAngle 130

	// others
	surfaceParm metalsteps

	implicitMap textures/props/barrel_m01.tga
}

textures/mml_helmsdeep/earth
{
	qer_editorimage textures/mml_helmsdeep/earth.tga

	// Q3map2 properties
	q3map_nonplanar
	q3map_shadeAngle 60

	// other
	surfaceparm grasssteps
	surfaceparm landmine

	implicitMap textures/mml_helmsdeep/earth.tga
}

textures/mml_helmsdeep/cloth
{
	qer_editorimage textures/miltary_wall/guardh_i03.tga

	// Q3map2 properties
	q3map_nonplanar
	q3map_shadeAngle 60

	// Draw on both sides
	cull none

	// other
	surfaceparm nomarks
	surfaceparm nonsolid

	deformVertexes wave 200 sin 0 3 0 1.0
//	deformVertexes wave 500 sin 0 2 0 2.0
//	deformVertexes wave 30 sin 0 5 0 0.1
	tessSize 64

	implicitMap textures/miltary_wall/guardh_i03.tga
}


textures/mml_helmsdeep/mml_helmsdeep_rock2
{
	// Q3map2 properties
	q3map_nonplanar
	q3map_shadeAngle 30

	implicitMap -
}

textures/mml_helmsdeep/terrain_rock
{
	qer_editorimage textures/mml_helmsdeep_terrain/stone65.tga

	q3map_nonplanar
	q3map_shadeAngle 60

	implicitMap textures/mml_helmsdeep_terrain/stone65.tga
}

textures/mml_helmsdeep/mml_helmsdeep_wall
{
	// Q3map2 properties
	q3map_nonplanar
	q3map_shadeAngle 30

	implicitMap -
}

// Normal visible water
textures/mml_helmsdeep/mml_helmsdeep_water
{
	qer_editorimage textures/liquids_sd/siwa_water.tga
	qer_trans .75
	q3map_globaltexture
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	cull disable
	{
		map textures/liquids_sd/siwa_water.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		tcmod scale 0.5 0.4
		tcmod scroll .03 .02		
	}	
	{ 
		map textures/liquids_sd/siwa_water.tga
		rgbGen identity
		blendFunc GL_src_alpha GL_ONE
		alphagen const .5		
		tcmod scale 0.4 0.5
		tcmod scroll -.03 -.02	
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// Invisible water
textures/mml_helmsdeep/mml_helmsdeep_water_invis
{
	qer_editorimage textures/liquids_sd/siwa_water.tga
	qer_trans 0.5

	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nodraw
}
